---
title: Registration FAQ
---

The [TOUR DE SOL PARTICIPATION TERMS](https://drive.google.com/a/solana.com/file/d/15ueLG6VJoQ5Hx4rnpjFeuL3pG5DbrBbE/view?usp=sharing) should be considered the authoritative resource for any participation questions.

## Is registration mandatory?

Yes. Registration is mandatory. Registration is rolling, we host month-long Tour de SOL stages on a monthly basis and new participants will need to wait until the start of the next stage to be on-boarded. [Registration information lives here](how-to-register.md).

## Who’s eligible to participate?

Please see section “1 Eligibility; KYC Requirements” of the [TOUR DE SOL PARTICIPATION TERMS](https://drive.google.com/a/solana.com/file/d/15ueLG6VJoQ5Hx4rnpjFeuL3pG5DbrBbE/view?usp=sharing) for details.

## Do I have to complete the KYC/AML process to participate?

Yes. Completing the KYC/AML process is mandatory. If you do not complete the process before Stage 1 of the Tour de SOL, you cannot participate in the Tour de SOL.

We’ve partnered with Coinlist to manage the Tour de Sol KYC/AML process. You can find a [walk-through of the process here](https://docs.google.com/presentation/d/1gz8e34piUzzwzCMKwVrKKbZiPXV64Uq2-Izt4-VcMR4/) and [complete your process here](https://docs.google.com/presentation/d/1gz8e34piUzzwzCMKwVrKKbZiPXV64Uq2-Izt4-VcMR4/edit#slide=id.g5dff17f5e5_0_44).

## What are my responsibilities as a Tour de Sol participant?

Please see section “2c Tour de SOL Details” of the [TOUR DE SOL PARTICIPATION TERMS](https://drive.google.com/file/d/15ueLG6VJoQ5Hx4rnpjFeuL3pG5DbrBbE/view) for details.

### How is the “50% of the active Tour event time” responsibility calculated?

To be eligible for rewards in a given stage, a validator must submit votes in &gt;= 50% of that stage’s slots.

If a validator isn’t able to submit &gt;= 50% of votes for a stage and still feels they should receive awards for that stage, they can petition Solana for reconsideration.

## Is there a relationship between the Tour de Sol testnet tokens and Solana mainnet tokens?

No. Please see section ”2d Tour de SOL Details” of the [TOUR DE SOL PARTICIPATION TERMS](https://drive.google.com/file/d/15ueLG6VJoQ5Hx4rnpjFeuL3pG5DbrBbE/view) for details.

## Can a validator be disqualified from the Tour de Sol?

Yes. A validator be disqualified from the Tour de SOL if they engage in prohibited conduct and/or fails to provide the minimum level of services described in question \#4 above.

Please also see Section “4 Prohibited Conduct” of the [TOUR DE SOL PARTICIPATION TERMS](https://drive.google.com/file/d/15ueLG6VJoQ5Hx4rnpjFeuL3pG5DbrBbE/view) for a more detailed description of prohibited conduct.

### More questions related to Prohibited Conduct:

#### As referenced in section “4 Prohibited Conduct”, what would be an example of providing Tour Services from a jurisdiction other than the jurisdiction of my residence? Does this mean my server has to reside in the jurisdiction of my residence?

No. Servers can be in other jurisdictions that differ from a participant’s residency. By signing the [TOUR DE SOL PARTICIPATION TERMS](https://drive.google.com/file/d/15ueLG6VJoQ5Hx4rnpjFeuL3pG5DbrBbE/view) the participant has represented that they are delivering their services from the US if they reside there or from outside the US if they are not residing within the US.

## How are rewards calculated?

Please see the [Rewards section](rewards.md) for details

## How will we know what information we can and cannot share publicly?

Please see [Confidentiality](confidentiality.md).
