---
title: App Wallets
---

Solana supports multiple third-party apps which should provide a familiar
experience for most people who are new or experienced with using crypto wallets.

## Trust Wallet
[Trust Wallet](https://trustwallet.com/) is an app for iOS and Android.  This is
currently the easiest and fastest way to get set up with a new wallet to send
and receive SOL tokens on the Solana network.
The app is free and getting your wallet set up only takes a few minutes.

*Note: Trust Wallet does not support stake accounts or staking operations*

### Trust Wallet Security

Tokens held in Trust Wallet are only as secure as the device on which the app is
installed. Anyone who is able to unlock your phone or tablet may be able to
use the Trust Wallet app and transfer your tokens. To improve security,
you can add a passcode to the Trust Wallet application.
To add a Trust Wallet passcode, open the app and go to
Settings -> Security -> Passcode.

If someone gains access to your Trust Wallet application, they can access your
recovery seed phrase.
Anyone who has access to your seed phrase will be able to recreate
your Trust Wallet keys on a different device. From there, they could
sign transactions from that device rather than on your own phone or tablet.
The seed phrase is displayed when a new wallet is created and it can also be
viewed at any later time in the app by following these steps:

- Go to Setting -> Wallets
- Under the Options menu for a particular wallet tap "Show Recovery Phrase"

[Trust Wallet](trust-wallet.md)

## Ledger Live with Ledger Nano S

[Ledger Live](https://www.ledger.com/ledger-live) is available as free desktop
software and as a free app for iOS and Android. It is used to manage apps and
crypto accounts on a Ledger _hardware wallet_, which must be purchased
separately and connected to the device running Ledger Live.

[Ledger Nano S](https://shop.ledger.com/products/ledger-nano-s) is a
hardware wallet which stores the wallet's private keys on a secure device that
is physically separate from the computer, and connects via USB cable.
This provides an extra level of security but requires the user to purchase and
keep track of the hardware device.

Solana does not support the Ledger Nano **X** at this time.

[Ledger Live](ledger-live.md)
